#
# spec file for package wxsqlite3
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define wx_version_soname %(wx-config --version | sed 's@^\\([^\\.]\\+\\.[^\\.]\\+\\)\\(.*\\)@\\1@;s@\\.@_@')
%define sover 0
Name:           wxsqlite3
Version:        4.5.1
Release:        bp153.1.16
Summary:        C++ wrapper around SQLite 3.x
License:        SUSE-wxWidgets-3.1
URL:            https://utelle.github.io/wxsqlite3
Source0:        https://github.com/utelle/wxsqlite3/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf >= 2.69
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
%if 0%{suse_version} > 1315
BuildRequires:  wxWidgets-devel >= 3
%else
BuildRequires:  wxWidgets-3_0-devel
%define _use_internal_dependency_generator 0
%define __find_requires %wx_requires
%endif

%description
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database
and is specifically designed for use in programs based on the wxWidgets
library.

%package -n libwxcode_gtk2u_wxsqlite3-%{wx_version_soname}-%{sover}
Summary:        C++ wrapper around SQLite 3.x

%description -n libwxcode_gtk2u_wxsqlite3-%{wx_version_soname}-%{sover}
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database
and is specifically designed for use in programs based on the wxWidgets
library.

%package        devel
Summary:        C++ wrapper around SQLite 3.x - Development Files
Requires:       libwxcode_gtk2u_wxsqlite3-%{wx_version_soname}-%{sover} = %{version}

%description    devel
wxSQLite3 is a C++ wrapper around the public domain SQLite 3.x database
and is specifically designed for use in programs based on the wxWidgets
library.

%prep
: wx_version_soname: %{wx_version_soname}
wx-config --version
%autosetup

%build
autoreconf -fi
%configure \
	--enable-shared \
	--disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libwxcode_gtk2u_wxsqlite3-%{wx_version_soname}-%{sover} -p /sbin/ldconfig
%postun -n libwxcode_gtk2u_wxsqlite3-%{wx_version_soname}-%{sover} -p /sbin/ldconfig

%files -n libwxcode_gtk2u_wxsqlite3-%{wx_version_soname}-%{sover}
%license LICENCE.txt
%doc readme.md
%{_libdir}/libwxcode_gtk2u_wxsqlite3-3.0.so.%{sover}*

%files devel
%dir %{_includedir}/wx
%{_includedir}/wx/wxsqlite3.h
%{_includedir}/wx/wxsqlite3_version.h
%{_includedir}/wx/wxsqlite3def.h
%{_libdir}/libwxcode_gtk2u_wxsqlite3-3.0.so
%{_libdir}/pkgconfig/wxsqlite3.pc

%changelog
* Sat Feb  8 2020 Luigi Baldoni <aloisio@gmx.com>
- Update to version 4.5.1. Too many changes to list, see
  https://github.com/utelle/wxsqlite3#history
- Drop _service file
- Spec cleanup
* Fri Nov  3 2017 olaf@aepfle.de
- Version 3.5.8.20171102.1b93c9c
  Fixed an issue with SQLite savepoints, if the savepoint name
  contained special characters. Savepoint names are now always quoted.
* Fri Mar 31 2017 olaf@aepfle.de
- Version 3.5.3.20170331.3494a8b
* Sun Mar 19 2017 olaf@aepfle.de
- Version 3.5.2.20170319.e79d1ef
* Wed Feb 22 2017 olaf@aepfle.de
- Initial version 3.5.1.20170216.2927d43
